Bug 5515 - rescue.img seems missing
rescue.img seems missing
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Turner
: 5914 6387 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 1999-10-04 16:58 EDT by len
Modified: 2015-01-07 18:38 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-10-11 10:23:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description len 1999-10-04 16:58:41 EDT
We just downloaded the iso version of RedHat 6.1 and
to it on one machine.  We can't find rescue.img in the
images directory on the CD.  It also seems to be missing
from the distributions on a mirror site.   When we
boot from the boot floppy made with mkbootdisk and
choose rescue, the message is a bit different than in
previous versions, but it does seem to expect us to insert
a floppy from which to copy a root file system to a
While I'm at it, I should also note that the upgrade
procedure does not give an opportunity for making a boot
floppy.  That boot floppy has saved many of us a lot of
trouble in cases where something went wrong in the
installation.  Removing that step was big mistake.
Comment 1 Christopher Johnson 1999-10-07 12:38:59 EDT
rescue.txt as referred to in
is also missing from the iso image.
Comment 2 Bill Nottingham 1999-10-07 14:05:59 EDT
Boot one of the boot disks (or CD) with 'linux rescue'.

It's an oversight in the documentation.
Comment 3 Christopher Johnson 1999-10-07 16:07:59 EDT
So when I use mkbootdisk and make a boot disk specific to my system
there is no way to load a rescue image with it, no image to put on a
floppy for when it prompts:
"VFS: Insert root floppy disk to be loaded into RAM disk and press

Likewise when I boot on the CD or install floppy:
Enter "linux rescue" at the lilo: prompt,
Choose language and keyboard,
What do I choose at the "What type of media contains the rescue
image?" screen that offers options of "CD" or "hard drive"?
I have no rescue.img on the CD.
Comment 4 Jay Turner 1999-10-11 10:23:59 EDT
Rescue mode has changed completely, in that there is really not a
rescue.img, instead the installed just drops into a shell.  So,
telling the installer that you would like to get the rescue image from
the cdrom will do the right thing and leave you at a shell prompt.
Comment 5 Bill Nottingham 1999-10-13 15:34:59 EDT
*** Bug 5914 has been marked as a duplicate of this bug. ***

neither rescue.img or rescue.txt is on the cd as referenced
in the documentation
Comment 6 Bill Nottingham 1999-10-26 14:42:59 EDT
*** Bug 6387 has been marked as a duplicate of this bug. ***

On page 63 of the Reference Guide for Red Hat Linux 6.1, it
talks about how to make the second of the two rescue floppy
disks.  (The first is the boot disk.)  It states that in the
directory /images of the first CD, there should be a file
named rescue.img.  That file is not present, and the command:
    find . -name rescue.img
...returns nothing when run from /mnt/cdrom
Comment 7 Bill Nottingham 1999-10-26 16:46:59 EDT
*** Bug 6394 has been marked as a duplicate of this bug. ***

I just purchased and installed RedHat 6.1. The install went
OK, but when I went to create my "Rescue" boot diskette, I
couldn't find the "rescue.img" file. The book says its on
the CD in the images directory, but it is not there. I've
been using RedHat since 3.2 and I don't remember it being
anywhere else. Thoughts?

Note You need to log in before you can comment on or make changes to this bug.